#!/usr/bin/python

# Copyright (C) 2013 Canonical
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; version 3.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

import sys
import os
import imp
from gi.repository import Unity
from gi.repository import GLib

def main(args):
  GLib.threads_init()
  scope_path = args[1]
  scope_module = imp.load_source('scope', scope_path)
  scope = scope_module.load_scope()
  connector = Unity.ScopeDBusConnector.new(scope)
  connector.export()
  ml = GLib.MainLoop()
  ml.run()

if __name__ == "__main__":
  main (sys.argv)

